* {
  box-sizing: border-box
}

body {
  margin: 0
}

*,
::before,
::after {
  box-sizing: border-box;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px
}

html {
  line-height: normal;
  text-size-adjust: 100%;
  tab-size: 4;
  scroll-behavior: smooth
}

a {
  text-decoration-line: none;
  text-decoration-thickness: initial;
  text-decoration-style: initial;
  text-decoration-color: initial;
  color: inherit;
  cursor: pointer
}

ul,
ol {
  list-style-position: initial;
  list-style-image: initial;
  list-style-type: none
}

img {
  max-width: 100%;
  height: auto;
  display: block;
  border-top-style: none;
  border-right-style: none;
  border-bottom-style: none;
  border-left-style: none;
  object-fit: cover
}

video {
  max-width: 100%;
  height: auto;
  width: 100%
}

b,
strong {
  font-weight: bolder
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Consolas, "Liberation Mono", Menlo, monospace;
  font-size: 1rem
}

small {
  font-size: 80%
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline
}

sub {
  bottom: -0.25rem
}

sup {
  top: -0.5rem
}

table {
  border-top-color: currentcolor;
  border-right-color: currentcolor;
  border-bottom-color: currentcolor;
  border-left-color: currentcolor
}

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  appearance: button;
  border-top-width: initial;
  border-right-width: initial;
  border-bottom-width: initial;
  border-left-width: initial;
  border-top-style: none;
  border-right-style: none;
  border-bottom-style: none;
  border-left-style: none;
  border-top-color: initial;
  border-right-color: initial;
  border-bottom-color: initial;
  border-left-color: initial;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: transparent
}

legend {
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px
}

progress {
  vertical-align: baseline
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto
}

[type="search"] {
  appearance: textfield;
  outline-offset: -2px
}

::-webkit-search-decoration {
  appearance: none
}

::-webkit-file-upload-button {
  appearance: button;
  font-style: inherit;
  font-variant-ligatures: inherit;
  font-variant-caps: inherit;
  font-variant-numeric: inherit;
  font-variant-east-asian: inherit;
  font-variant-alternates: inherit;
  font-variant-position: inherit;
  font-variant-emoji: inherit;
  font-weight: inherit;
  font-stretch: inherit;
  font-size: inherit;
  line-height: inherit;
  font-family: inherit;
  font-optical-sizing: inherit;
  font-size-adjust: inherit;
  font-kerning: inherit;
  font-feature-settings: inherit;
  font-variation-settings: inherit
}

summary {
  display: list-item
}

body {
  font-family: Roboto, sans-serif;
  font-size: 16px;
  font-weight: 700;
  line-height: 1.25;
  letter-spacing: 0.5px;
  color: rgb(29, 29, 29);
  background-color: rgb(255, 255, 255)
}

h1 {
  font-size: 25px;
  font-weight: 900;
  line-height: 1.36
}

h2 {
  font-size: 22px;
  font-weight: 700
}

.wrapper {
  min-height: 100dvh;
  display: flex;
  flex-direction: column;
  overflow-x: clip;
  overflow-y: clip
}

main {
  flex-grow: 1
}

.container {
  max-width: 770px;
  width: 100%;
  margin-inline-start: auto;
  margin-inline-end: auto;
  padding-inline-start: 30px;
  padding-inline-end: 30px
}

.sr-only {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  margin-top: -1px !important;
  margin-right: -1px !important;
  margin-bottom: -1px !important;
  margin-left: -1px !important;
  border-top-width: 0px !important;
  border-right-width: 0px !important;
  border-bottom-width: 0px !important;
  border-left-width: 0px !important;
  border-top-style: initial !important;
  border-right-style: initial !important;
  border-bottom-style: initial !important;
  border-left-style: initial !important;
  border-top-color: initial !important;
  border-right-color: initial !important;
  border-bottom-color: initial !important;
  border-left-color: initial !important;
  border-image-source: initial !important;
  border-image-slice: initial !important;
  border-image-width: initial !important;
  border-image-outset: initial !important;
  border-image-repeat: initial !important;
  padding-top: 0px !important;
  padding-right: 0px !important;
  padding-bottom: 0px !important;
  padding-left: 0px !important;
  white-space-collapse: collapse !important;
  text-wrap-mode: nowrap !important;
  clip-path: inset(100%) !important;
  clip: rect(0px, 0px, 0px, 0px) !important;
  overflow-x: hidden !important;
  overflow-y: hidden !important
}

.form-wrapper {
  max-width: 678px;
  width: 100%;
  margin-inline-start: auto;
  margin-inline-end: auto;
  margin-top: 12px
}

.header__container {
  max-width: 1408px;
  margin-inline-start: auto;
  margin-inline-end: auto;
  width: 100%;
  padding-inline-start: 16px;
  padding-inline-end: 16px
}

.header__top {
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: rgb(230, 232, 234)
}

.header__menu {
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: opacity
}

.header__logo {
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: opacity
}

.header__user {
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: opacity
}

.header__menu:hover {
  opacity: 0.7
}

.header__logo:hover {
  opacity: 0.7
}

.header__user:hover {
  opacity: 0.7
}

.header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block-start: 5px;
  padding-block-end: 24px
}

.header__auth {
  display: flex;
  align-items: center;
  row-gap: 20px;
  column-gap: 20px
}

.header__reg {
  display: flex;
  padding-top: 8px;
  padding-right: 14px;
  padding-bottom: 8px;
  padding-left: 14px;
  justify-content: center;
  align-items: center;
  line-height: 1.1;
  font-weight: 400;
  transition-behavior: normal, normal, normal, normal;
  transition-duration: 0.3s, 0.3s, 0.3s, 0.3s;
  transition-timing-function: ease, ease, ease, ease;
  transition-delay: 0s, 0s, 0s, 0s;
  transition-property: background-color, color, border-color, opacity
}

.header__sign {
  display: flex;
  padding-top: 8px;
  padding-right: 14px;
  padding-bottom: 8px;
  padding-left: 14px;
  justify-content: center;
  align-items: center;
  line-height: 1.1;
  font-weight: 400;
  transition-behavior: normal, normal, normal, normal;
  transition-duration: 0.3s, 0.3s, 0.3s, 0.3s;
  transition-timing-function: ease, ease, ease, ease;
  transition-delay: 0s, 0s, 0s, 0s;
  transition-property: background-color, color, border-color, opacity
}

.header__user {
  display: flex;
  padding-top: 8px;
  padding-right: 14px;
  padding-bottom: 8px;
  padding-left: 14px;
  justify-content: center;
  align-items: center;
  line-height: 1.1;
  font-weight: 400;
  transition-behavior: normal, normal, normal, normal;
  transition-duration: 0.3s, 0.3s, 0.3s, 0.3s;
  transition-timing-function: ease, ease, ease, ease;
  transition-delay: 0s, 0s, 0s, 0s;
  transition-property: background-color, color, border-color, opacity
}

.header__user {
  display: none
}

.header__reg {
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(0, 0, 0);
  color: rgb(255, 255, 255);
  border-top-width: 1px;
  border-right-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: rgb(0, 0, 0);
  border-right-color: rgb(0, 0, 0);
  border-bottom-color: rgb(0, 0, 0);
  border-left-color: rgb(0, 0, 0);
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial
}

.header__reg:hover {
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
  border-top-color: rgb(0, 0, 0);
  border-right-color: rgb(0, 0, 0);
  border-bottom-color: rgb(0, 0, 0);
  border-left-color: rgb(0, 0, 0)
}

.header__sign:hover {
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(0, 0, 0);
  color: rgb(255, 255, 255)
}

.header__bottom {
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: rgb(230, 232, 234)
}

.header__nav {
  display: flex;
  justify-content: center;
  align-items: center
}

.header__nav-list {
  display: flex;
  align-items: center
}

.header__nav-link {
  position: relative;
  display: flex;
  padding-top: 12px;
  padding-right: 8px;
  padding-bottom: 12px;
  padding-left: 8px;
  font-size: 14px;
  font-weight: 400
}

.header__earth {
  border-right-width: 1px;
  border-right-style: solid;
  border-right-color: rgb(230, 232, 234)
}

.header__nav-link::before {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 4px;
  background-color: rgb(0, 0, 0);
  opacity: 0;
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: opacity
}

.header__nav-link.active {
  font-weight: 700
}

.header__nav-link.active::before {
  opacity: 1
}

.header__nav-link:hover::before {
  opacity: 1
}

.news {
  padding-block-start: 60px;
  padding-block-end: 28px
}

.highlight {
  color: rgb(230, 5, 5)
}

.news__title {
  margin-bottom: 12px
}

.news__info {
  margin-bottom: 12px;
  font-size: 14px
}

.news__author {
  display: flex;
  align-items: center;
  row-gap: 10px;
  column-gap: 10px;
  margin-bottom: 10px
}

.news__author-img {
  width: 32px;
  height: 32px;
  border-top-left-radius: 50%;
  border-top-right-radius: 50%;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%
}

.news__author-info {
  color: rgb(29, 29, 29);
  font-size: 13px;
  font-weight: 900;
  line-height: 1.2
}

.news__author-job {
  color: rgb(120, 120, 120);
  font-weight: 700
}

.news__social {
  display: flex;
  margin-bottom: 12px
}

.news__photo {
  margin-bottom: 15px
}

.news__subtitle {
  margin-bottom: 15px
}

.news__paragraph {
  margin-bottom: 15px
}

.news__btn {
  display: flex;
  padding-top: 20px;
  padding-right: 20px;
  padding-bottom: 16px;
  padding-left: 20px;
  justify-content: center;
  align-items: center;
  border-top-left-radius: 100px;
  border-top-right-radius: 100px;
  border-bottom-right-radius: 100px;
  border-bottom-left-radius: 100px;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(13, 25, 133);
  color: rgb(255, 255, 255);
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  margin-inline-start: auto;
  margin-inline-end: auto;
  max-width: 310px;
  margin-bottom: 15px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 25px 0px;
  transition-behavior: normal, normal, normal, normal;
  transition-duration: 0.3s, 0.3s, 0.3s, 0.3s;
  transition-timing-function: ease, ease, ease, ease;
  transition-delay: 0s, 0s, 0s, 0s;
  transition-property: scale, translate, box-shadow, background-color
}

.news__btn:hover {
  scale: 1.03;
  translate: 0px -5px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
  background-color: rgb(37, 48, 145)
}

.news__calculator {
  text-align: center
}

.news__calculator .news__subtitle {
  margin-bottom: 24px
}

.news__form {
  display: flex;
  padding-top: 16px;
  padding-right: 16px;
  padding-bottom: 16px;
  padding-left: 16px;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  border-top-left-radius: 25px;
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  border-bottom-left-radius: 25px;
  background-image: linear-gradient(28deg, rgb(6, 153, 51) 0%, rgb(2, 74, 76) 100%);
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: initial
}

.news__form-img {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
  border-bottom-left-radius: 12px
}

.news__form .news__subtitle {
  color: rgb(255, 255, 255);
  text-align: center;
  font-size: 26px
}

.news__subtitle--green {
  color: rgb(32, 194, 0);
  font-size: 42px
}

.news__protect {
  display: flex;
  align-items: center;
  row-gap: 12px;
  column-gap: 12px;
  color: rgb(255, 255, 255);
  letter-spacing: -0.6px;
  line-height: normal;
  padding-top: 10px;
  padding-right: 25px;
  padding-bottom: 25px;
  padding-left: 25px
}

.news__protect-title {
  font-size: 10px;
  font-weight: 700
}

.news__protect-paragraph {
  font-size: 6px;
  font-weight: 400
}

.top__list {
  padding-block-start: 14px;
  padding-block-end: 30px
}

.top__list .item {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 10px
}

.top__list .item .place {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-shrink: 0;
  width: 265px
}

.top__list .item .place__num {
  font-weight: 700;
  font-size: 18px;
  width: 25px
}

.top__list .item .place__avatar {
  min-width: 50px;
  width: 50px;
  margin-left: 20px
}

.top__list .item .place__avatar .place__avatar-img {
  width: 100%
}

.top__list .item .place__name {
  margin-left: 10px;
  font-size: 16px
}

.top__list .item .progress {
  flex-grow: 1;
  margin-left: 20px
}

.progress {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background-color: rgb(255, 255, 255);
  border-top-width: initial;
  border-right-width: initial;
  border-bottom-width: initial;
  border-left-width: initial;
  border-top-style: none;
  border-right-style: none;
  border-bottom-style: none;
  border-left-style: none;
  border-top-color: initial;
  border-right-color: initial;
  border-bottom-color: initial;
  border-left-color: initial;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  box-shadow: none
}

.progress__bar {
  display: block;
  height: 25px;
  width: 0px;
  margin-right: 20px;
  background-color: rgb(0, 128, 0);
  background-image: linear-gradient(45deg, rgba(0, 0, 0, 0.1) 25%, transparent 25%, transparent 50%, rgba(0, 0, 0, 0.1) 50%, rgba(0, 0, 0, 0.1) 75%, transparent 75%, transparent);
  background-size: 40px 40px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  animation-duration: 2s;
  animation-timing-function: linear;
  animation-delay: 0s;
  animation-iteration-count: infinite;
  animation-direction: normal;
  animation-fill-mode: none;
  animation-play-state: running;
  animation-name: progress-bar-stripes;
  animation-timeline: auto;
  animation-range-start: normal;
  animation-range-end: normal;
  transition-behavior: normal;
  transition-duration: 800ms;
  transition-timing-function: ease-out;
  transition-delay: 0s;
  transition-property: all
}

.bar-1 {
  width: 60%
}

.bar-2 {
  width: 57%
}

.bar-3 {
  width: 55%
}

.bar-4 {
  width: 53%
}

.bar-5 {
  width: 50%
}

.bar-6 {
  width: 46%
}

.bar-7 {
  width: 39%
}

.bar-8 {
  width: 30%
}

.bar-9 {
  width: 26%
}

.bar-10 {
  width: 18%
}

.progress__info {
  font-size: 16px
}

.news__calc {
  text-align: center;
  background-color: rgb(255, 255, 255);
  animation-duration: 0.5s;
  animation-timing-function: ease-in-out;
  animation-delay: 0s;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: none;
  animation-play-state: running;
  animation-name: fadeIn;
  animation-timeline: auto;
  animation-range-start: normal;
  animation-range-end: normal;
  width: 100%
}

.slider-container {
  position: relative;
  margin-bottom: 20px
}

.slider {
  width: 100%;
  opacity: 0;
  animation-duration: 0.5s;
  animation-timing-function: ease-in-out;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: forwards;
  animation-play-state: running;
  animation-name: fadeIn;
  animation-timeline: auto;
  animation-range-start: normal;
  animation-range-end: normal;
  appearance: none;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(92, 185, 92);
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  outline-color: initial;
  outline-style: none;
  outline-width: initial;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  position: relative;
  z-index: 2;
  height: 20px !important
}

.slider::-webkit-slider-thumb {
  appearance: none;
  width: 25px;
  height: 25px;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(255, 255, 255);
  border-top-left-radius: 50%;
  border-top-right-radius: 50%;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%;
  cursor: pointer;
  border-top-width: 2px;
  border-right-width: 2px;
  border-bottom-width: 2px;
  border-left-width: 2px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: rgb(92, 185, 92);
  border-right-color: rgb(92, 185, 92);
  border-bottom-color: rgb(92, 185, 92);
  border-left-color: rgb(92, 185, 92);
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  z-index: 3;
  margin-top: 0px !important
}

.current-value {
  width: 30%;
  margin-right: auto;
  margin-left: auto;
  padding-top: 3px;
  padding-bottom: 3px;
  font-size: 18px;
  margin-top: -5px;
  margin-bottom: 10px;
  border-left-width: 2px;
  border-left-style: solid;
  border-left-color: rgb(92, 185, 92);
  border-right-width: 2px;
  border-right-style: solid;
  border-right-color: rgb(92, 185, 92);
  border-bottom-width: 2px;
  border-bottom-style: solid;
  border-bottom-color: rgb(92, 185, 92)
}

.slider-labels {
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  margin-bottom: 10px;
  position: relative;
  z-index: 1;
  width: 100% !important
}

.slider-label {
  position: relative
}

.slider-label::before {
  content: "";
  position: absolute;
  width: 1px;
  height: 10px;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(0, 0, 0);
  top: 6px;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 10px
}

.result {
  font-size: 18px;
  margin-bottom: 10px;
  opacity: 0;
  animation-duration: 0.5s;
  animation-timing-function: ease-in-out;
  animation-delay: 1s;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: forwards;
  animation-play-state: running;
  animation-name: fadeIn;
  animation-timeline: auto;
  animation-range-start: normal;
  animation-range-end: normal
}

.news__comments-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: rgb(75, 79, 86);
  font-size: 14px;
  font-weight: 700;
  padding-block-start: 10px;
  padding-block-end: 10px;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-bottom-color: rgb(233, 235, 238);
  margin-bottom: 15px
}

.news__comments-sort {
  display: flex;
  align-items: center;
  row-gap: 6px;
  column-gap: 6px;
  font-weight: 400
}

.news__comments-link {
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
  border-bottom-left-radius: 2px;
  border-top-width: 1px;
  border-right-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: rgb(204, 208, 213);
  border-right-color: rgb(204, 208, 213);
  border-bottom-color: rgb(204, 208, 213);
  border-left-color: rgb(204, 208, 213);
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(245, 246, 247);
  padding-inline-start: 6px;
  padding-inline-end: 6px;
  color: rgb(75, 79, 86);
  font-size: 12px;
  font-weight: 700;
  line-height: 1.8
}

.news__comments-link:hover {
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(231, 232, 235)
}

.news__comments-form {
  display: flex;
  row-gap: 8px;
  column-gap: 8px;
  font-size: 16px;
  margin-bottom: 20px
}

.news__comments-form-img {
  width: 50px;
  height: 50px
}

.news__comments-input {
  display: flex;
  flex-direction: column;
  width: 100%;
  border-top-width: 1px;
  border-right-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: rgb(211, 214, 219);
  border-right-color: rgb(211, 214, 219);
  border-bottom-color: rgb(211, 214, 219);
  border-left-color: rgb(211, 214, 219);
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial
}

.comment-textarea {
  width: 100%;
  max-height: 62px;
  padding-top: 12px;
  padding-right: 16px;
  padding-bottom: 12px;
  padding-left: 16px;
  font-size: 16px;
  line-height: 1.5;
  color: rgb(51, 51, 51);
  background-color: rgb(255, 255, 255);
  border-top-width: 1px;
  border-right-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  border-left-color: transparent;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  resize: none;
  overflow-x: auto;
  overflow-y: auto;
  transition-behavior: normal, normal;
  transition-duration: 0.2s, 0.2s;
  transition-timing-function: ease, ease;
  transition-delay: 0s, 0s;
  transition-property: border-color, box-shadow
}

.comment-textarea::placeholder {
  color: rgb(153, 153, 153)
}

.comment-textarea:focus {
  border-top-color: rgb(0, 122, 255);
  border-right-color: rgb(0, 122, 255);
  border-bottom-color: rgb(0, 122, 255);
  border-left-color: rgb(0, 122, 255);
  box-shadow: rgba(0, 122, 255, 0.1) 0px 0px 0px 3px;
  outline-color: initial;
  outline-style: none;
  outline-width: initial
}

.news__checkbox-wrapper {
  display: flex;
  align-items: center;
  padding-top: 6px;
  padding-right: 6px;
  padding-bottom: 6px;
  padding-left: 6px;
  justify-content: space-between;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(245, 246, 247);
  border-top-width: 1px;
  border-top-style: solid;
  border-top-color: rgb(211, 214, 219);
  row-gap: 8px;
  column-gap: 8px;
  text-wrap-mode: initial;
  text-wrap-style: balance
}

.news__checkbox-link {
  display: flex;
  padding-top: 5px;
  padding-right: 10px;
  padding-bottom: 5px;
  padding-left: 10px;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  border-top-left-radius: 2px;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
  border-bottom-left-radius: 2px;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(156, 180, 216);
  color: rgb(255, 255, 255);
  font-size: 14px;
  font-weight: 700;
  flex-shrink: 0;
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: scale
}

.news__checkbox-link:hover {
  scale: 1.03
}

.news__checkbox {
  display: flex;
  align-items: center;
  row-gap: 6px;
  column-gap: 6px;
  color: rgb(144, 148, 156);
  font-size: 12px;
  font-weight: 400
}

.news__checkbox-input {
  cursor: pointer;
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: color
}

.news__checkbox-label {
  cursor: pointer;
  transition-behavior: normal;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: color
}

.news__checkbox-input:hover {
  color: rgb(0, 0, 0)
}

.news__checkbox-label:hover {
  color: rgb(0, 0, 0)
}

.news__comments-wrapper {
  display: flex;
  flex-direction: column;
  row-gap: 30px;
  column-gap: 30px;
  margin-bottom: 60px
}

.news__comments-item {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  row-gap: 15px;
  column-gap: 15px;
  color: rgb(75, 79, 86);
  font-weight: 400;
  font-size: 14px;
  line-height: 1.35;
  letter-spacing: -0.6px
}

.news__comments-avatar {
  width: 48px;
  height: 48px
}

.news__comments-content {
  display: flex;
  flex-direction: column;
  row-gap: 4px;
  column-gap: 4px
}

.news__comments-text-more {
  color: rgb(66, 103, 178)
}

.news__comments-text-more:hover {
  text-decoration-line: underline;
  text-decoration-thickness: initial;
  text-decoration-style: initial;
  text-decoration-color: initial
}

.news__comments-author {
  color: rgb(54, 88, 153);
  font-size: 14px;
  font-weight: 700
}

.news__comments-info {
  display: flex;
  align-items: center;
  row-gap: 6px;
  column-gap: 6px;
  font-size: 12px;
  line-height: 1.2
}

.news__comments-actions {
  display: flex;
  align-items: center;
  row-gap: 4px;
  column-gap: 4px;
  color: rgb(66, 103, 178)
}

.news__comments-actions:hover {
  text-decoration-line: underline;
  text-decoration-thickness: initial;
  text-decoration-style: initial;
  text-decoration-color: initial
}

.news__comments-list {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  column-gap: 20px
}

.news__comments-reply {
  margin-left: 65px;
  padding-left: 10px;
  border-left-width: 1px;
  border-left-style: dashed;
  border-left-color: rgb(211, 214, 219)
}

.news__comments-avatar {
  width: 36px;
  height: 36px
}

.news__comments-show {
  display: flex;
  padding-top: 8px;
  padding-right: 8px;
  padding-bottom: 8px;
  padding-left: 8px;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(246, 247, 249);
  color: rgb(54, 88, 153);
  font-size: 12px;
  font-weight: 700;
  line-height: 1.33;
  letter-spacing: -0.6px;
  margin-top: 12px;
  margin-left: -50px
}

.news__comments-show:hover {
  text-decoration-line: underline;
  text-decoration-thickness: initial;
  text-decoration-style: initial;
  text-decoration-color: initial
}

.links {
  border-top-width: 1px;
  border-top-style: solid;
  border-top-color: rgb(233, 235, 238);
  padding-block-start: 9px;
  padding-block-end: 12px;
  color: rgb(54, 88, 153);
  font-size: 11px;
  font-weight: 400;
  line-height: 1.35;
  letter-spacing: -0.6px
}

.links__list {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  row-gap: 26px;
  column-gap: 26px
}

.links__link:hover {
  text-decoration-line: underline;
  text-decoration-thickness: initial;
  text-decoration-style: initial;
  text-decoration-color: initial
}

.footer {
  padding-block-start: 30px;
  padding-block-end: 30px;
  border-top-width: 1px;
  border-top-style: solid;
  border-top-color: rgb(230, 232, 234)
}

.footer__logo {
  display: flex;
  align-items: center;
  justify-content: center
}

@keyframes progress-bar-stripes {
  0% {
    background-position-x: 40px;
    background-position-y: 0px
  }

  100% {
    background-position-x: 0px;
    background-position-y: 0px
  }

  0% {
    background-position-x: 40px;
    background-position-y: 0px
  }

  100% {
    background-position-x: 0px;
    background-position-y: 0px
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0
  }

  100% {
    opacity: 1
  }
}

@media (max-width:1200px) {
  .container {
    max-width: 100%;
    padding-inline-start: 16px;
    padding-inline-end: 16px
  }

  h1 {
    font-size: 22px
  }

  .header__bottom {
    display: none
  }

  .news {
    padding-block-start: 30px;
    padding-block-end: 30px
  }

  .news__form .news__subtitle {
    font-size: 20px
  }

  .news__subtitle--green {
    font-size: 26px
  }
}

@media (max-width:991px) {
  .top__list .item .place {
    width: 150px
  }

  .top__list .item .place__num {
    width: 26px;
    font-size: 14px
  }

  .top__list .item .place__name {
    margin-left: 20px
  }

  .top__list .item .progress {
    margin-left: 10px
  }
}

@media screen and (max-width:991px) {
  .top__list .item {
    flex-direction: column
  }

  .top__list .item .place {
    width: 100% !important
  }

  .progress {
    width: 100%;
    margin-top: 10px;
    margin-right: 0px;
    margin-bottom: 10px;
    margin-left: 0px
  }
}

@media (max-width:744px) {
  .header__container {
    padding-inline-start: 12px;
    padding-inline-end: 12px
  }

  .header__sign {
    display: none
  }

  .header__reg {
    display: none
  }

  .header__user {
    display: flex;
    padding-top: 8px;
    padding-right: 8px;
    padding-bottom: 8px;
    padding-left: 8px
  }

  .news {
    padding-block-start: 20px;
    padding-block-end: 26px
  }

  .news__btn {
    margin-block-start: 20px;
    margin-block-end: 20px;
    padding-top: 20px;
    padding-right: 0px;
    padding-bottom: 20px;
    padding-left: 0px
  }

  .result {
    font-size: 16px
  }

  .news__comments-wrapper {
    margin-bottom: 12px
  }

  .news__comments-item {
    row-gap: 8px;
    column-gap: 8px
  }

  .news__comments-reply {
    margin-left: 60px
  }

  .links__list {
    justify-content: center;
    row-gap: 14px;
    column-gap: 14px
  }
}
